Loading...
Searching...
No Matches
CBackgroundTask Class Reference
Inheritance diagram for CBackgroundTask:
[legend]

## Public Member Functions

| CBackgroundTask (COldObject *object)
bool | IsBackground () override final
| Returns true if this task is meant to be run as a background task.
bool | IsPilot () override final
| Returns true if you can control the robot while the task is executing.
Public Member Functions inherited from CTask
| CTask (COldObject *object)
virtual bool | EventProcess (const Event &event)
virtual Error | IsEnded ()
virtual bool | IsBusy ()
virtual bool | Abort ()

## Additional Inherited Members

Protected Attributes inherited from CTask
Gfx::CEngine * | m_engine = nullptr
Gfx::CLightManager * | m_lightMan = nullptr
Gfx::CParticle * | m_particle = nullptr
Gfx::CTerrain * | m_terrain = nullptr
Gfx::CWater * | m_water = nullptr
Gfx::CCamera * | m_camera = nullptr
CRobotMain * | m_main = nullptr
CSoundInterface * | m_sound = nullptr
COldObject * | m_object = nullptr
CProgrammableObject * | m_programmable = nullptr
CMotion * | m_motion = nullptr
CPhysics * | m_physics = nullptr

## Member Function Documentation

## IsBackground()

bool CBackgroundTask::IsBackground | ( |  | ) |

inline final override virtual

Returns true if this task is meant to be run as a background task.

Implements CTask.

## IsPilot()

bool CBackgroundTask::IsPilot | ( |  | ) |

inline final override virtual

Returns true if you can control the robot while the task is executing.

Implements CTask.

The documentation for this class was generated from the following file:

- src/object/task/task.h